<template>
  <div class="query-menu-view">
    <slot></slot>
    <div class="bole-menu-item__footer">
      <div class="bole-menu-item__button-wrapper">
        <nut-button
          shape="square"
          class="dark-btn"
          type="primary"
          :color="Colors.Info"
          @click="handleCancel"
        >
          {{ cancelText }}
        </nut-button>
        <nut-button shape="square" type="primary" @click="handleConfirm">确认</nut-button>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { Colors } from '@12333/constants';

defineOptions({
  name: 'QueryMenuView',
});

type Props = {
  cancelText?: string;
};

const props = withDefaults(defineProps<Props>(), {
  cancelText: '取消',
});

const emit = defineEmits<{
  (e: 'close'): void;
  (e: 'confirm'): void;
}>();

function handleCancel() {
  emit('close');
}

function handleConfirm() {
  emit('confirm');
}
</script>

<style lang="scss">
@import '@/styles/common.scss';
</style>
